#[derive(Debug, Clone, Copy, PartialEq, Eq, PartialOrd, Ord, Default)]
pub struct Edge {
    input_idx: u8,
}

impl Edge {
    pub fn new(input_idx: u8) -> Self {
        Self { input_idx }
    }
}

impl ToString for Edge {
    fn to_string(&self) -> String {
        match self.input_idx {
            0 => "in".to_owned(),
            n => format!("in{}", n + 1),
        }
    }
}
